# CairoFontFace::status

# cairo_font_face_status

(PECL cairo >= 0.1.0)

CairoFontFace::status -- cairo_font_face_status — Check for CairoFontFace errors

### Description

Object oriented style (method):

public CairoFontFace::status ( void ) : int

Procedural style:

cairo_font_face_status ( CairoFontFace `$fontface` ) : int

Checks whether an error has previously occurred for this font face

### Parameters

`fontface`

  A valid CairoFontFace object

### Return Values

CAIRO_STATUS_SUCCESS or another error such as CAIRO_STATUS_NO_MEMORY.

### Examples

Example #1 Object oriented style

`<?php
// Creates the font face
$fontface = new CairoToyFontFace('sans-serif');
// Get the font face status
var_dump($fontface->status()); // should be the value of CAIRO_STATUS_SUCCESS
?>`

The above example will output something similar to:

    int(0)

Example #2 Procedural style

`<?php
// Creates the font face
$fontface = new CairoToyFontFace('sans-serif');
// Get the font face status
var_dump(cairo_font_face_status($fontface)); // should be the value of CAIRO_STATUS_SUCCESS
?>`

The above example will output something similar to:

    int(0)

### See Also

- Classname::Method()